module gui;

import icanvas;
import canvas;
import tool_layer;
import tool;
import standard_tools;
import page_layer;

import gtk.Main;
import gtk.MainWindow;

import tk.geometry;
import tk.types;
import tk.events;

import std.stdio;
import tk.geometry;

void main(string[] args) {
    Main.init(args);
    auto window = new MainWindow("Doodle");
    Tool[] tools;
    tools ~= new PanTool;
    tools ~= new ZoomTool;
    auto tool_layer = new ToolLayer(tools, "Tools");
    Layer[] layers;
    layers ~= new PageLayer("Page");
    layers ~= tool_layer;
    auto canvas = new Canvas(layers, tool_layer, 120.0);
    window.add(canvas);
    window.setDefaultSize(380, 480);
    window.showAll();
    Main.run();

    /*
    Point p3 = Point.DEFAULT;

    Point p1 = Point(3.0, 5.0);
    writefln("%s", p1);

    Point p2 = Point(1.0, 2.0);
    writefln("%s", p2);

    writefln("%s", p1 - p2);

    Rectangle r = Rectangle(p1, p2);
    writefln("%s", r);
    */
}
